Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class ModifyQuery

`java.lang.Object
oracle.toplink.queryframework.DatabaseQuery
oracle.toplink.queryframework.ModifyQuery`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  DataModifyQuery, DeleteAllQuery, ObjectLevelModifyQuery, UpdateAllQuery

public abstract class ModifyQuery
extends DatabaseQuery

Purpose: Abstract class for all modify queries. Currently contains no behavoir.

Since:
  TOPLink/Java 1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.queryframework.DatabaseQuery
`CascadeAggregateDelete, CascadeAllParts, CascadeByMapping, CascadeDependentParts, CascadePrivateParts, NoCascading`

Constructor Summary
`ModifyQuery()`

Method Summary
`boolean` | `forceBatchStatementExecution()` PUBLIC: Returns if this query has been set to flush on execution.
`boolean` | `isModifyQuery()` PUBLIC: Return if this is a modify query.
`void` | `setForceBatchStatementExecution(boolean value)` PUBLIC: Allow setting this query to be the last statement added to a batch statement and ensure it is flushed on execution.

Methods inherited from class oracle.toplink.queryframework.DatabaseQuery
`addArgument, addArgument, addArgument, addArgumentValue, addArgumentValues, addCall, addStatement, bindAllParameters, cacheStatement, cascadeAllParts, cascadeByMapping, cascadePrivateParts, dontBindAllParameters, dontCacheStatement, dontCascadeParts, dontMaintainCache, getCall, getCalls, getDatasourceCall, getDatasourceCalls, getEJBQLString, getHintString, getName, getQueryTimeout, getRedirector, getReferenceClass, getSelectionCriteria, getSessionName, getSQLStatement, getSQLString, getSQLStrings, getTranslatedSQLString, getTranslatedSQLStrings, hasSessionName, ignoreBindAllParameters, ignoreCacheStatement, isCallQuery, isDataModifyQuery, isDataReadQuery, isDeleteObjectQuery, isExpressionQuery, isInsertObjectQuery, isObjectLevelModifyQuery, isObjectLevelReadQuery, isReadAllQuery, isReadObjectQuery, isReadQuery, isReportQuery, isSQLCallQuery, isUpdateAllQuery, isUpdateObjectQuery, isWriteObjectQuery, maintainCache, prepareCall, setCall, setDatasourceCall, setEJBQLString, setHintString, setName, setQueryTimeout, setRedirector, setSelectionCriteria, setSessionName, setShouldBindAllParameters, setShouldCacheStatement, setShouldMaintainCache, setShouldPrepare, setShouldUseWrapperPolicy, setSQLStatement, setSQLString, shouldBindAllParameters, shouldCacheStatement, shouldCascadeAllParts, shouldCascadeByMapping, shouldCascadeParts, shouldCascadePrivateParts, shouldIgnoreBindAllParameters, shouldIgnoreCacheStatement, shouldMaintainCache, shouldPrepare, shouldUseWrapperPolicy, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModifyQuery

    public ModifyQuery()

Method Detail

### isModifyQuery

    public boolean isModifyQuery()

  PUBLIC: Return if this is a modify query.
  Overrides:
    `isModifyQuery` in class `DatabaseQuery`

### setForceBatchStatementExecution

    public void setForceBatchStatementExecution(boolean value)

  PUBLIC: Allow setting this query to be the last statement added to a batch statement and ensure it is flushed on execution. Setting to true will cause the batch statement to be sent to the database. Default setting of false causes the batch statement execution to be delayed to allow additional statements to be added. Setting to true reduces the efficiency of batch writting. This has no effect if batch writing is not enabled.

### forceBatchStatementExecution

    public boolean forceBatchStatementExecution()

  PUBLIC: Returns if this query has been set to flush on execution.
  See Also:
    `setForceBatchStatementExecution(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD